{
         Info<< "Solving CMC chemistry for flame group # "<<k<<endl;
         scalarField RRCMC(Ysize, 0);

                for(label j=1 ; j< etamax ; j++)
                {
                        scalarField QiCMCin(Ysize, 0);
                        scalar QhCMCin(0);

                        for(label i=0 ; i<Ysize ; i++)
                        {
                                QiCMCin[i] =  QiCMCNew[(k*(etamax+1)+j)*Ysize + i];

                        }

                        scalar Tin = TCMC[ j+k*(etamax+1) ];
                        scalar rhoin = rhoCMC[j+k*(etamax+1)];
                        QhCMCin = QhCMCNew[ j+k*(etamax+1) ];
                        scalar ChemDeltaTin = ChemDeltaT[ j+k*(etamax+1) ];

			
                        chemistry->solveCMCchem(runTime.deltaT().value(), rhoin, Tin, Pin, QiCMCin,QhCMCin, RRCMC, ChemDeltaTin); 

                        ChemDeltaT[ j+k*(etamax+1) ] = ChemDeltaTin;


                        for(label i=0 ; i<Ysize ; i++)
                        {
                                CMCRR[(k*(etamax+1)+j)*Ysize + i]  = RRCMC[i] / rhoin;
                        }


                }
}
